<form id="guestbook" action="load.php?id=feedback" method="post" accept-charset="utf-8">	
<?php
debugLog(date('H:i:s') . " todo -> " . $todo);
switch ($todo) {
	case 'delete':
		echo '<div id="msg" class="updated"><p>' . i18n_r('feedback/SUCCESS_DELETE') . '</p></div>';
		break;
	case 'edit':
		echo '<div id="msg" class="updated"><p>' . i18n_r('feedback/SUCCESS_UPDATE') . '</p></div>';
		break;
	case 'release':
		echo '<div id="msg" class="updated"><p>' . i18n_r('feedback/SUCCESS_ACTIVE') . '</p></div>';
		break;
	case 'save':
		echo '<div id="msg" class="updated"><p>' . i18n_r('feedback/SUCCESS_SAVE') . '</p></div>';
		break;
	case 'unrelease':
		echo '<div id="msg" class="updated"><p>' . i18n_r('feedback/SUCCESS_INACTIVE') . '</p></div>';
		break;
}

$titles = explode (',', i18n_r('feedback/TITLE_LIST'));
$entries = getFiles(GBCONTENTPATH);

$entriesArray = array();
$entriesSorted = array();
$count = 0;
foreach ($entries as $file) {
	if (isFile($file, GBCONTENTPATH, 'xml')) {
		$id = basename($file, '.xml');
		$entry = @getXML(GBCONTENTPATH . $id . '.xml');	
		
		if(isset($_GET['filter']) && $entry['hide'] != '0')	{
			continue;
		}
		
		$entriesArray[$count]['id'] = $id;
		$entriesArray[$count]['date'] = strtotime($entry['date']); 
		$entriesArray[$count]['hide'] = $entry['hide'];
		$entriesArray[$count]['url'] = trim((string)$entry->homepage);
		$entriesArray[$count]['title'] = $titles[(string)$entry->title];
				
		if(!empty($entriesArray[$count]['url'])) {
			$entriesArray[$count]['salution'] = '<a href="' . $entry->homepage . '">' . $entry->firstname . ' ' . $entry->name . '</a>';
		} else {
			$entriesArray[$count]['salution'] = $entry->firstname . ' ' . $entry->name;
		}
		$entriesArray[$count]['entry'] = $entry;
		$count++;
	}
	debugLog(date('H:i:s') . " " . $file);
}

debugLog(date('H:i:s') . " entries -> " . $count);
if ($count > 0) {
	$entriesSorted = @array_reverse(subval_sort($entriesArray, 'date'));
	foreach ($entriesSorted as $ent) {	
		$entry = $ent['entry'];
		$id = $ent['id'];
		$url = $ent['url'];
		$title = $ent['title'];
		$salution = $ent['salution'];
		include 'entry.php';
	}
} else {
	echo '
	<div class="updated">
		<p>' . i18n_r('feedback/INFO_NOT_FOUND') . '</p>
	</div>';
} ?>
</form>